Orxonox: orxonox::GamestateHandler Class Reference

# orxonox::GamestateHandler Class Reference

`#include <src/network/GamestateHandler.h>`

Inheritance diagram for orxonox::GamestateHandler:

List of all members.

## Static Public Member Functions

static bool | ackGamestate (unsigned int gamestateID, unsigned int clientID)
static bool | addGamestate (packet::Gamestate *gs, unsigned int clientID)

## Protected Member Functions

| GamestateHandler ()
virtual | ~GamestateHandler ()

## Private Member Functions

virtual bool | ack (unsigned int gamestateID, unsigned int clientID)=0
virtual bool | add (packet::Gamestate *gs, unsigned int clientID)=0

## Static Private Attributes

static GamestateHandler * | instance_ = 0

## Detailed Description

Author:
  Oliver Scheuss

## Constructor & Destructor Documentation

orxonox::GamestateHandler::GamestateHandler | ( |  | ) | `[protected]`

References instance_.

orxonox::GamestateHandler::~GamestateHandler | ( |  | ) | `[protected, virtual]`

References instance_.

## Member Function Documentation

virtual bool orxonox::GamestateHandler::ack | ( | unsigned int | gamestateID,
|  | unsigned int | clientID |
| ) |  |  | `[private, pure virtual]`

Implemented in orxonox::GamestateClient, and orxonox::GamestateManager.

static bool orxonox::GamestateHandler::ackGamestate | ( | unsigned int | gamestateID,
|  | unsigned int | clientID |
| ) |  |  | `[inline, static]`

Referenced by orxonox::packet::Acknowledgement::process().

virtual bool orxonox::GamestateHandler::add | ( | packet::Gamestate * | gs,
|  | unsigned int | clientID |
| ) |  |  | `[private, pure virtual]`

Implemented in orxonox::GamestateClient, and orxonox::GamestateManager.

static bool orxonox::GamestateHandler::addGamestate | ( | packet::Gamestate * | gs,
|  | unsigned int | clientID |
| ) |  |  | `[inline, static]`

Referenced by orxonox::packet::Gamestate::process().

## Member Data Documentation

GamestateHandler * orxonox::GamestateHandler::instance_ = 0`[static, private]`

Referenced by GamestateHandler(), and ~GamestateHandler().

The documentation for this class was generated from the following files:

- src/network/GamestateHandler.h
- src/network/GamestateHandler.cc